%define name		gef
%define Name		GEF
%define version		0.9.6
%define release		4jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        A diagram editing framework
License:        Apache License
Source0:        %{name}-%{version}.tar.bz2
Url:            http://gef.tigris.org/
Requires:	log4j
BuildRequires:  ant
BuildRequires:	log4j
Group:          Development/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage Project
Distribution:	JPackage

%description
The goal of the GEF project is to build a graph editing library that
can be used to construct many, high-quality graph editing appications.
Some of GEF's features are:
- A simple, concrete design that makes the framework easy to understand
and extend.
- Node-Port-Edge graph model that is powerful enough for the vast
majority of connectied graph applications.
- Model-View-Controller design based on the Swing Java UI library makes
GEF able to act as a UI to existing data structures, and also minimizing
learning time for developers familiar with Swing.
- High-quality user interactions for moving, resizeing, reshaping, etc.
GEF also supports several novel interactions such as the broom alignment
tool and section-action-buttons.
- Generic properties sheet based on JavaBeans introspection.
- XML-based file formats based on the PGML standard (soon to support
SVG).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# remove binary files
find . -name "*.jar" -exec rm -f {} \;
# clean manifest file
perl -pi -e 's/^.*\.jar.*$//s' org/tigris/gef/manifest.mf

%build
export CLASSPATH=\
%{_javadir}/log4j.jar
# ugly workaround for xerces-j2
if [ %{_javadir}/jaxp_parser.jar -ef %{_javadir}/xerces-j2-wrapper.jar ]; then
	export CLASSPATH=$CLASSPATH:%{_javadir}/xerces-j2-apis.jar
fi

# fix broken build
BUILD_DIR=`pwd`
ant -buildfile build.xml \
	-Dbuild.compiler=modern \
	-Dbuild.dir=$BUILD_DIR \
	-Dsrc.dir=$BUILD_DIR \
	-Ddocs.dir=$BUILD_DIR/docs \
    	-Dlib.dir=$BUILD_DIR/lib \
    	-Dobj.dir=$BUILD_DIR/lib \
	-Ddist.dir=$BUILD_DIR/dist \
	package

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL.txt README.txt
%{_javadir}/*

%changelog
* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0:0.9.6-4jpp
- adhere to JPackage 1.5 standards
- add -Dbuild.dir to ant call

* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0.9.6-3jpp
- rebuild for JPackage 1.5

* Sun Feb 23 2003 David Walluck <david@anti-microsoft.org> 0.9.6-2jpp
- fix distribution tag

* Mon Oct 21 2002 David Walluck <david@anti-microsoft.org> 0.9.6-1jpp
- 0.9.6

* Mon Oct 21 2002 David Walluck <david@anti-microsoft.org> 0.9.7-0.20021004.1jpp
- bump version to 0.9.7 (it is newer than the 0.9.6 development release by
  about 4 months)
- clean up source archive

* Mon Oct 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.6-0.20021004.1jpp
- update from David Walluck <david@anti-microsoft.org>
 - new snapshot as argo requires it

* Wed Mar 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.6-0.20020306.1jpp
- used current CVS snapshot as argo requires it

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-6jpp
- section macro

* Fri Jan 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-5jpp
- cleaned manifest file from class-path references

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 0.9.5-4jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-3jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-2jpp
- more macros

* Wed Sep 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-1jpp
- first unified JPackage release
- used lower case for name
- spec cleanup
- s/Copyright/License
- s/jPackage/JPackage

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.3-1mdk
- first Mandrake release
